Subject: Re: 25.1.50; Another crash in automatic gc

From: Eli Zaretskii <[email-masked]>
Date: Sat, 22 Oct 2016 17:24:44 +0300

> From: Michael Heerdegen <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 22 Oct 2016 16:12:01 +0200
> 
> Michael Heerdegen <[email-masked]> writes:
> 
> > That's one commit above emacs-25's current HEAD: the WIP commit for
> > making sort-line accepting a predicate arg.  I can revert it just to
> > be sure.  But I'm not even convinced that the stuff I suspect is
> > really the culprit.
> 
> FWIW, I already tried to compile (make bootstrap) with different
> versions of gcc (I downgraded all that stuff in Debian from testing to
> stable), and I checked out the emacs-25 branch from different points -
> but the crashs happened with every build.

Good to know.

Let's start with figuring out whether each crash shows the buffer's
marker chain overwritten by the same (or similar) text string.

In the session you have now, try this command, in frame #0:

 (gdb) p (char *)&b->markers

What does this print?  If it doesn't print any human-readable text,
try this:

 (gdb) p (char *)tail